# The Gimbal project
This project aims to improve the experience of creating structures in Minecraft.

# Links

<a href="https://discord.gg/rQUVrsttzz" target="_blank">
  <img src="https://img.shields.io/badge/Join_the-Discord-5865F2" alt="Join the Discord" />
</a>
<a href="https://codeberg.org/moonleay/Gimbal/wiki/?action=_pages">
  <img src="https://img.shields.io/badge/Read_the-wiki-ffffff" alt="Read the wiki" />
</a>
<a href="https://codeberg.org/moonleay/Gimbal">
  <img src="https://img.shields.io/badge/Clone_the-source_code-green" alt="Clone the source code" />
</a>
<a href="https://codeberg.org/moonleay/Gimbal/issues">
  <img src="https://img.shields.io/badge/Report_a-problem-red" alt="Report a problem"/>
</a>

## Features
- **Modes** Use different modes to edit structures. Think Vim for Minecraft. [x]
- **Modifier** Use modifiers to change the behavior of the modes and your building experience. [x]
- **Undo/Redo** Easily undo and redo your changes. (planned)

## Modes
- **Normal** The default mode. Use it to change to other modes [x]
- **Insert** Edit blocks in the world [x]
- **Visual** Use selection to edit (contains worldedit support) (planned)
- **Replace** Replace blocks in the world [x]

## Modifiers
- **Bulldozer** Basically an auto-clicker [x]
- **Force Place** Ignore block placing restrictions [x]
- **No Clip** Walk and fly through blocks [x]
- **No Updates** Prevent block updates [x]
- **No Gravity** Prevent blocks from falling (planned)
- **Better Fly** Disable floaty fly physics and set custom fly speeds (planned)
- **Angelic Placement** Place blocks in the air (planned)

## Installation
This mod requires Fabric, the Fabric API, aswell as the HCConfigLib.

## Compiling
Before compiling, you need to generate the sources.
You can do this by running `./gradlew runDatagen` in the project directory.
Then run `./gradlew build` to compile the mod.

## License
This project is licensed under the GNU General Public License v3.0.
See the [LICENSE](LICENSE) file for more information.

